local TSM = select(2, ...)
local Util = TSM:NewModule("Util")

function Util:CheckTabAndGuild(Item)
	local Guild
	local Tab
	local Test = TSMAPI:GetGroupPath(TSMAPI:GetItemString(Item))
	if Test ~= nil then
	--	print("Test "..Test)
	end
	local ops = TSMAPI:GetItemOperation(TSMAPI:GetItemString(Item), "GuildSorter")
	--if ops ~= nil then
	--	print("ops")
	--	print(ops)
	--end
	if (ops) then
		for _, operationName in pairs(ops) do
			--print(operationName)
			TSMAPI:UpdateOperation("GuildSorter", operationName)
			Tab = TSM.operations[operationName].GBankTab
			Guild = TSM.operations[operationName].GBank
			--print(format("Guild: %s, Tab: %d",Guild,Tab))
			return Guild, Tab
		end
	end
end

function Util:GetFreeBagSpace()
	Util.FreeSpaceTable = {}
	local FreeBag, FreeSlot = 0, 0
	for Bag = 0, 4, 1 do
		if select(2,GetContainerNumFreeSlots(Bag)) == 0 then
			Util.FreeSpaceTable[Bag] = GetContainerFreeSlots(Bag)
			
			for Slot in pairs(Util.FreeSpaceTable[Bag]) do
				--print(Slot)
				if type(Slot) ==  "number" then
					FreeBag = Bag
					FreeSlot = Slot
					break
				end
			end
		end
	end
	return FreeBag, FreeSlot
end